aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2011-06-01 21:56:11 +0000
committerGerald Combs <gerald@wireshark.org>2011-06-01 21:56:11 +0000
commitad84d4f5d24fd60dba569b6ed56b7a1c879da951 (patch)
treeb919ca156bbd9f719381d1870fec91500a045987 /tools
parent0272ec5dd3fcaef37fafedb23d14d1d89db712b6 (diff)
Exit if we don't have enough plugins.
svn path=/trunk/; revision=37513
Diffstat (limited to 'tools')
-rwxr-xr-xtools/fuzz-test.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index 99296204ba..1f9510caf5 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -122,6 +122,13 @@ FIN
exit 1
fi
+DISSECTOR_PLUGINS=`$TSHARK -G plugins | grep dissector | wc -l`
+# 10 is an arbritary value.
+if [ $DISSECTOR_PLUGINS -lt 10 ] ; then
+ echo "Error: Found fewer plugins than expected."
+ exit 1
+fi
+
HOWMANY="forever"
if [ $MAX_PASSES -gt 0 ]; then
HOWMANY="$MAX_PASSES passes"
@@ -236,4 +243,3 @@ while [ $PASS -lt $MAX_PASSES -o $MAX_PASSES -lt 1 ] ; do
rm -f $TMP_DIR/$TMP_FILE $TMP_DIR/$ERR_FILE
done
done
-